<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.x-cart.com/license-agreement.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Magic Toolbox <support@magictoolbox.com>
 * @copyright Copyright (c) 2013 Magic Toolbox <support@magictoolbox.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.magictoolbox.com/
*/

return function () {

    $configRepo = \XLite\Core\Database::getRepo('\XLite\Model\Config');

    //NOTE: find license keys
    $options = $configRepo->findBy(array(
        'category' => 'MagicToolbox\MagicSlideshow',
        'name' => array(
            'license-key',
        )
    ));

    if (!empty($options)) {
        //NOTE: backup license keys
        foreach ($options as $option) {
            if (!empty($option->value)) {
                $configRepo->createOption(array(
                    'category' => 'MagicToolbox\MagicSlideshowBackup',
                    'name'     => $option->name,
                    'type'     => 'text',
                    'value'    => $option->value
                ));
            }
        }
    }
};
